lapy2(3)

NAME
lapy2 - lapy2: robust sqrt( x^2 + y^2 )

SYNOPSIS

  Functions
double precision function dlapy2 (x, y)
DLAPY2 returns sqrt(x2+y2).
real function slapy2 (x, y)
SLAPY2 returns sqrt(x2+y2).

Detailed Description

Function Documentation

  double precision function dlapy2 (double precision x, double precision y)

DLAPY2 returns sqrt(x2+y2).

Purpose:

     DLAPY2 returns sqrt(x**2+y**2), taking care not to cause unnecessary
     overflow and unnecessary underflow.

Parameters
    X

              X is DOUBLE PRECISION

    Y

              Y is DOUBLE PRECISION
              X and Y specify the values x and y.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 62 of file dlapy2.f.

  real function slapy2 (real x, real y)

SLAPY2 returns sqrt(x2+y2).

Purpose:

     SLAPY2 returns sqrt(x**2+y**2), taking care not to cause unnecessary
     overflow and unnecessary underflow.

Parameters
    X

              X is REAL

    Y

              Y is REAL
              X and Y specify the values x and y.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 62 of file slapy2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.